from apiflask import Schema
from apiflask import fields


class InteractionIn(Schema):
    category = fields.Integer()
    receiver_id = fields.String()
    related_party_id = fields.String(allow_none=True)
    comment = fields.String(allow_none=True)


class InteractionTodayIn(Schema):
    current_date = fields.String()


class InteractionTodayOut(Schema):
    fire_count = fields.Integer()
    heart_count = fields.Integer()
    comment_count = fields.Integer()